public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/modsecurity/
Date: Fri,  5 Jan 2024 05:24:31 +0000 (UTC)	[thread overview]
Message-ID: <1704432246.95ccea86124816220b74cb294171b8b071a959f6.sam@gentoo> (raw)

commit:     95ccea86124816220b74cb294171b8b071a959f6
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Tue Sep  5 14:12:00 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan  5 05:24:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95ccea86

dev-libs/modsecurity: fix build with slibtool

Closes: https://bugs.gentoo.org/913484
Upstream-PR: https://github.com/SpiderLabs/ModSecurity/pull/2980
Signed-off-by: orbea <orbea <AT> riseup.net>
Closes: https://github.com/gentoo/gentoo/pull/32631
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/modsecurity/Manifest                     |  1 +
 dev-libs/modsecurity/modsecurity-3.0.10-r1.ebuild | 82 +++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-libs/modsecurity/Manifest b/dev-libs/modsecurity/Manifest
index 979d43cce35c..2ecdcf3e164b 100644
--- a/dev-libs/modsecurity/Manifest
+++ b/dev-libs/modsecurity/Manifest
@@ -1,2 +1,3 @@
+DIST modsecurity-slibtool.patch 6915 BLAKE2B 9d067a4285cf56cbe9c824601724ee9caaf43e1bce653e51c6f66165a96e034125d93c4c998ee27df4d753c5e176b21d1c524dd72710428aaff1e528bddf48dc SHA512 a4c413f376c19bd028f2824f837cfdd5dffa51fcfeb1bcd911ca36a2876372d47f5e225b22cf9416d45cfc65e9e476501917a2b5c6d785f650c918f81164a8be
 DIST modsecurity-v3.0.10.tar.gz 3341295 BLAKE2B 9ae4d52ccc77eb7f6a50fb37b07d0c0022e7d4c93bc4c04e7c6cdfabc7b6f6a19a3f0ec1f0151eb1bbd98d9c55de774048bc7636f67e735169b8c628d71fc0fd SHA512 2f51c9bfd2e91d93ddb8c48671dca08f91682745ff6bab6b8153376207d77c40f9afdcab7fa04d2fe925a19343bbfc57e52f0b45b3a50b30de4c1949f5b77ed9
 DIST modsecurity-v3.0.9.tar.gz 3337195 BLAKE2B 5de70546463b9cf167e8e3fd13c55b3856dbe4f23f94a8f83a65890a4e5ea990597a0bb00f4dc24a52a3eb36fe6fa80a8d4a857f86bff3db5808b0d0bdd82b03 SHA512 49790031a82a6cece9cf53a03480490c0bdfd56302ea2e55319a27abdadf1aee060d4a9f847b224a21533d24f6a9fc29b4ad3898b258e6a81934a03c00e32020

diff --git a/dev-libs/modsecurity/modsecurity-3.0.10-r1.ebuild b/dev-libs/modsecurity/modsecurity-3.0.10-r1.ebuild
new file mode 100644
index 000000000000..aa6335c3b7cc
--- /dev/null
+++ b/dev-libs/modsecurity/modsecurity-3.0.10-r1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..4} )
+
+inherit autotools lua-single
+
+MY_P=${PN}-v${PV}
+
+DESCRIPTION="Application firewall and intrusion detection"
+HOMEPAGE="https://github.com/SpiderLabs/ModSecurity"
+SRC_URI="
+	https://github.com/SpiderLabs/ModSecurity/releases/download/v${PV}/${MY_P}.tar.gz
+	https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-slibtool.patch
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="doc fuzzyhash geoip geoip2 json lmdb lua pcre2"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )"
+RDEPEND="dev-libs/libpcre:=
+	dev-libs/libxml2
+	net-misc/curl
+	fuzzyhash? ( app-crypt/ssdeep )
+	geoip? ( dev-libs/geoip )
+	geoip2? ( dev-libs/libmaxminddb )
+	json? ( dev-libs/yajl )
+	lmdb? ( dev-db/lmdb )
+	lua? ( ${LUA_DEPS} )
+	pcre2? ( dev-libs/libpcre2:= )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+	doc? ( app-doc/doxygen[dot] )"
+
+DOCS=( AUTHORS CHANGES README.md modsecurity.conf-recommended unicode.mapping )
+
+PATCHES=(
+	# https://github.com/SpiderLabs/ModSecurity/pull/2980
+	"${DISTDIR}"/${PN}-slibtool.patch # 913484
+)
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+	default
+	eautoreconf # for the slibtool patch
+}
+
+src_configure() {
+	local myconf=(
+		$(use_with fuzzyhash ssdeep)
+		$(use_with geoip )
+		$(use_with geoip2 maxmind)
+		$(use_with json yajl)
+		$(use_with lmdb)
+		$(use_with lua)
+		$(use_with pcre2)
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	default
+
+	if use doc; then
+		cd doc && doxygen doxygen.cfg || die
+	fi
+}
+
+src_install() {
+	default
+	use doc && dodoc -r doc/html
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2024-01-05  5:24 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-01-05  5:24 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-06  5:18 [gentoo-commits] repo/gentoo:master commit in: dev-libs/modsecurity/ Sam James
2024-02-06  5:18 Sam James
2024-02-06  5:04 Sam James
2024-02-06  5:04 Sam James
2024-02-06  3:26 Sam James
2024-01-11 14:06 Joonas Niilola
2023-09-05 10:01 Sam James
2023-09-05 10:01 Sam James
2023-09-05 10:01 Sam James
2023-09-05 10:01 Sam James
2023-09-01 17:19 Arthur Zamarin
2023-09-01 17:19 Arthur Zamarin
2023-06-23 20:28 Sam James
2023-06-23 20:16 Sam James
2023-06-23 20:03 Sam James
2023-06-23 20:03 Sam James
2023-04-26  4:03 Sam James
2022-12-02 17:19 John Helmert III
2022-12-02  3:38 Sam James
2022-12-02  3:34 Sam James
2022-12-02  3:23 Sam James
2022-12-02  3:23 Sam James
2022-11-10 16:15 Joonas Niilola
2022-09-10  6:43 Jakov Smolić
2022-09-09  7:36 Agostino Sarubbo
2022-09-09  7:36 Agostino Sarubbo
2022-09-09  7:34 Agostino Sarubbo
2022-07-27  8:11 Sam James
2022-07-20 17:01 Sam James
2022-07-19 21:38 Sam James
2022-07-19 20:20 Jakov Smolić
2022-07-19 17:21 Conrad Kostecki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1704432246.95ccea86124816220b74cb294171b8b071a959f6.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox